Subject: Re: [Capwap] Encryption Capabilities

From: "Pat Calhoun (pacalhou)" <[email-masked]>
Date: Wed, 7 Jun 2006 07:46:25 -0700

> You've brought up a good point.  Relying on 11i to encrypt 
> data packets between the WTP and AC only provides 
> confidentiality of the data, and does not protect the CAPWAP 
> data transport protocol.
> 
> Each scenario has its pros and cons... this to me implies 
> they should all be supported in the standard, and let users 
> pick the one that fits their environment (though that can be 
> dangerous when it comes to security).

Charles, are you stating that DTLS doesn't provide sufficient security
of the data packets, and therefore supplementing DTLS with 802.11i 
provides a more secure solution? I suspect I'm interpreting your comment
incorrectly.

At this point, my concern is the level of complexity that has been
Introduced into the protocol through all of these various options. In
the
End, this IETF effort is all about interoperability, but let's look at
The optional features we now currently have:

Local MAC
   802.3 Tunneling
      No Encryption
      DTLS Encryption
   Local Bridging
Split MAC
   802.11 Tunneling
      No Encryption
      DTLS Encryption
      802.11i Encryption
      Both DTLS and 802.11i Encryption
   802.3 Tunneling (as some folks have recently requested, but isn't in
the current spec)
      No Encryption
      DTLS Encryption

So given the above modes of operation, how does one guarantee
interoperability
when creating a solution? At this point, I'd like to see some focus on
simplification. By removing 802.11i, and only using DTLS, we've at least

reduced the number of combinations from 9 to 7 - a worthwhile exercise
if you
ask me.

Pat Calhoun
CTO, Wireless Networking Business Unit
Cisco Systems
 
_________________________________________________________________
To unsubscribe or modify your subscription options, please visit:
http://lists.frascone.com/mailman/listinfo/capwap

Archives: http://lists.frascone.com/pipermail/capwap

---

From: Charles Clancy <[email-masked]>
Date: Wed, 07 Jun 2006 11:03:16 -0400

> provides a more secure solution? I suspect I'm interpreting your comment

There are four combinations of crypto over the WTP<->AC link.  Let's see 
if an ASCII-art table can clarify things:

sec     |AES block    |AES block   |backhaul security
type    |ops at WTP   |ops at AC   |
--------+-------------+------------+-----------------------------------
none    |1 dec        |none        |none (fine for nonhostile backhaul)
         |             |            |
11i     |none         |1 dec       |confidentiality of user data
         |             |            |no integrity for CAPWAP header
         |             |            |
DTLS    |1 dec, 1 enc |1 dec       |full security
         |             |            |
11i+DTLS|1 enc        |2 dec       |full security
         |             |            |

Using centralized encryption just shifts 1 dec operation from the WTP to 
the AC.  I agree that things should be simplified.  I'm not qualified to 
recommend one, since I'm not an implementor.  All I can do is make sure 
people know what they're getting in to.  How "thin" are these "thin APs" 
going to be?  It seems like that will vary from vendor to vendor.

-- 
t. charles clancy, ph.d.  <>  [email-masked]  <>  www.cs.umd.edu/~clancy